commit: d6e84e125b331e14ba081000b6f52052c56bddb3
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 10 17:09:13 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Nov 10 17:10:38 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6e84e12
mozcoreconf-v?.eclass: Added waterfox support
Acked-by: Thomas Deutschmann <whissi <AT> gentoo.org>
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
eclass/mozcoreconf-v5.eclass | 3 ++-
eclass/mozcoreconf-v6.eclass | 3 ++-
2 files changed, 4 insertions(+), 2 deletions(-)
diff --git a/eclass/mozcoreconf-v5.eclass b/eclass/mozcoreconf-v5.eclass
index a78b190aff6..008b1b759cc 100644
--- a/eclass/mozcoreconf-v5.eclass
+++ b/eclass/mozcoreconf-v5.eclass
@@ -124,6 +124,7 @@ mozconfig_init() {
declare FF=$([[ ${PN} == firefox ]] && echo true || echo false)
declare SM=$([[ ${PN} == seamonkey ]] && echo true || echo false)
declare TB=$([[ ${PN} == thunderbird ]] && echo true || echo false)
+ declare WF=$([[ ${PN} == waterfox* ]] && echo true || echo false)
####################################
#
@@ -136,7 +137,7 @@ mozconfig_init() {
*xulrunner)
cp xulrunner/config/mozconfig .mozconfig \
|| die "cp xulrunner/config/mozconfig failed" ;;
- *firefox)
+ *firefox|waterfox*)
cp browser/config/mozconfig .mozconfig \
|| die "cp browser/config/mozconfig failed" ;;
seamonkey)
diff --git a/eclass/mozcoreconf-v6.eclass b/eclass/mozcoreconf-v6.eclass
index 045aabc164c..b4f75ae017d 100644
--- a/eclass/mozcoreconf-v6.eclass
+++ b/eclass/mozcoreconf-v6.eclass
@@ -122,6 +122,7 @@ mozconfig_init() {
declare SM=$([[ ${PN} == seamonkey ]] && echo true || echo false)
declare TB=$([[ ${PN} == thunderbird ]] && echo true || echo false)
declare TRB=$([[ ${PN} == torbrowser ]] && echo true || echo false)
+ declare WF=$([[ ${PN} == waterfox* ]] && echo true || echo false)
####################################
#
@@ -134,7 +135,7 @@ mozconfig_init() {
*xulrunner)
cp xulrunner/config/mozconfig .mozconfig \
|| die "cp xulrunner/config/mozconfig failed" ;;
- *firefox)
+ *firefox|waterfox*)
cp browser/config/mozconfig .mozconfig \
|| die "cp browser/config/mozconfig failed" ;;
*torbrowser)